$(function(){
	//Search
	$('.topSearch a').click(function(){
		$('#search').toggle();
	});
	
	$('#search .close a').click(function(){
		$('#search').hide();
	});
	
	var searchInput = $('#search input');
	var value = searchInput.val();
	searchInput.click(function(){		
			$(this).val('');
	});
	searchInput.blur(function(){
		if($(this).val() == ""){
				$(this).val(value);
		}
});

$(function(){
	//Language & Currency
	$('#accountTop li.tDown').mouseenter(function(){
		$(this).find('div').show();
	}).mouseleave(function(){
		$(this).find('div').hide();
	});
});

$(function(){
	//Menu
	$('#categories li').mouseenter(function(){	
		$(this).find('ul').first().show();
	}).mouseleave(function(){
		$(this).find('ul').first().hide();
	});
});
	
$(function(){
	//Homepage Slideshow
	$('.pagerWrap').append('<ul id="pager"></ul><div class="clear"></div>');
	$('.slides').cycle({ 
			fx: slideAnim,
			speed: 'slow',
			timeout: slideSpeed,
			next: '#next', 
    		prev: '#prev',
			pause: 1 
		});		
	
	//Featured Slide
	$('#top-content .featured_slides').cycle({ 
		fx:     'scrollVert', 
		speed:  'slow', 
		timeout: 0,
		pager:  '#pager',
		pagerAnchorBuilder: function(id) {
			id++;
			return '<li><a href="javascript:void(0);">' + id + '</a><span></span></li>'; 
		} 
	});
});

$(function(){
	//Image  Fade
	$('.box img,.prod-grid img,.prod-list img,.left img').hover(function(){
		this.check = this.check || 1;
		$(this).stop().fadeTo('slow',this.check++%2==0 ? 1 : 0.8);
	});
});

$(function(){
	//Homepage Tabs
	if($('#bottom-content .tabTitle')){
		$('#bottom-content .pagerWrap').remove();
		$('#bottom-content .box .box-heading').hide();
		$('#bottom-content .box').each(function(index){
			index++;
			$(this).addClass('tab'+index);
		});
		//Hide Tab Contents, show first block
		$('#bottom-content .box').hide().first().show();
		$('#bottom-content .tabTitle').each(function(i) { i++;
			var titleTab = $(this).html();
			$(".homeTab").append('<li><a href="javascript:void(0);" class="tab' + i + '">' + titleTab + '</a></li>');	
				//Set first tab as active
				$('.homeTab li a').first().addClass('active');	
					//Set active tab on click
					$('.homeTab li a').click(function(){
						$('.homeTab li a').removeClass('active');
						var tabN = $(this).attr('class');
						$(this).addClass('active');
						$('#bottom-content .box').hide();
						$("." + tabN).show();						
					});
		});
	}	
});

$(function() {
    //Forms
   $("select, input:checkbox, input:radio, input:file,textarea,input:text,input:password").uniform();
});

$(function(){
	//Carousel Thumbnails
	$(".thumbWrap").each(function() {
		var all = $(this).find("div");
		for(i=0; i < all.length; i += 2) {
			all.slice(i, i + 2).wrapAll('<div class="thumbSlide"></div>'); 
			$(".thumbSlide").append('<div class="clear />');
		}
	});	
	$('.thumbWrap').cycle({
		fx:     'scrollHorz', 
    	prev:   '.prev', 
    	next:   '.next',
		timeout: 0
	});
});



$(function(){
	//Grid List Category View
	$(".display ul li").click(function(){
		$(".display ul li a").removeClass("active");
		$(this).find("a").addClass("active");
		var cName = $(this).hasClass("list");
		if(cName){
			$("#cat-products").removeClass("prod-grid").addClass("prod-list");	
			$.cookie('display', 'list');
		}else{
			$("#cat-products").removeClass("prod-list").addClass("prod-grid");	
			$.cookie('display', 'grid');
		}		
	});
	function display(view) {
		if (view == 'list') {
			$("#cat-products").removeClass("prod-grid").addClass("prod-list");	
			$(".display ul li.grid a").removeClass("active");
			$(".display ul li.list a").addClass("active");
		}else{
			$("#cat-products").removeClass("prod-list").addClass("prod-grid");
		}
	}
	view = $.cookie('display');
	if (view) {
		display(view);
	} else {
		display('grid');
	}
});

$(function(){
	//Increase Decrease QTY
	$(".qtyBtn").click(function(){
		if($(this).hasClass("increase")){
			var qty = $("#qty").val();
			qty++;
			$("#qty").val(qty);
		}else{
			var qty = $("#qty").val();
			qty--;
			if(qty>0){
				$("#qty").val(qty);
			}
		}
	});	
});

$(function(){
	//Product Tabs
	$(".tab").hide().first().show();
	$("ul.tabs li a,.review a.reviews").click(function(){
		$("ul.tabs li a").removeClass("active");
		$(this).addClass("active");
			var rel = $(this).attr("rel");
			$(".tab").hide();
			$("."+rel).show();		
	});
});
});


$(function(){
	$('.button-search').bind('click', function() {
		url = $('base').attr('href') + 'index.php?route=product/search';
				 
		var filter_name = $('input[name=\'filter_name\']').attr('value')
		
		if (filter_name) {
			url += '&filter_name=' + encodeURIComponent(filter_name);
		}
		location = url;
	});
	
	$('#search input[name=\'filter_name\']').keydown(function(e) {
		if (e.keyCode == 13) {
			url = $('base').attr('href') + 'index.php?route=product/search';
			 
			var filter_name = $('input[name=\'filter_name\']').attr('value')
			
			if (filter_name) {
				url += '&filter_name=' + encodeURIComponent(filter_name);
			}
			location = url;
		}
	});
});

$(function(){
	$('.success img, .warning img, .attention img, .information img').live('click', function() {
		$(this).parent().fadeOut('slow', function() {
			$(this).remove();
		});
	});	
});

$(function(){
	/* Ajax Cart */
	$('#cart > .heading a').live('click', function() {
		$('#cart').addClass('active');
		
		$('#cart').load('index.php?route=module/cart #cart > *');
		
		$('#cart').live('mouseleave', function() {
			$(this).removeClass('active');
		});
	});	

});

function addToCart(product_id, quantity) {
	quantity = typeof(quantity) != 'undefined' ? quantity : 1;

	$.ajax({
		url: 'index.php?route=checkout/cart/add',
		type: 'post',
		data: 'product_id=' + product_id + '&quantity=' + quantity,
		dataType: 'json',
		success: function(json) {
			$('.success, .warning, .attention, .information, .error').remove();
			
			if (json['redirect']) {
				location = json['redirect'];
			}
			
			if (json['success']) {
				$('#notification').html('<div class="success" style="display: none;">' + json['success'] + '<img src="catalog/view/theme/default/image/close.png" alt="" class="close" /></div>');
				
				
				$('#cart-total').html(json['total']);
				
				var notify = $('#notification').html();
				$.blockUI({ message: $(notify) });
				$('.blockOverlay').click(function(){
					$.unblockUI();
				});
				
				
			}	
		}
	});
}
function addToWishList(product_id) {
	$.ajax({
		url: 'index.php?route=account/wishlist/add',
		type: 'post',
		data: 'product_id=' + product_id,
		dataType: 'json',
		success: function(json) {
			$('.success, .warning, .attention, .information').remove();
						
			if (json['success']) {
				$('#notification').after('<div class="success" style="display: none;">' + json['success'] + '<img src="catalog/view/theme/default/image/close.png" alt="" class="close" /></div>');
				
				$('.success').fadeIn('slow');
				
				$('#wishlist-total').html(json['total']);
				
				$('html, body').animate({ scrollTop: 0 }, 'slow');
			}	
		}
	});
}

function addToCompare(product_id) { 
	$.ajax({
		url: 'index.php?route=product/compare/add',
		type: 'post',
		data: 'product_id=' + product_id,
		dataType: 'json',
		success: function(json) {
			$('.success, .warning, .attention, .information').remove();
						
			if (json['success']) {
				$('#notification').html('<div class="success" style="display: none;">' + json['success'] + '<img src="catalog/view/theme/default/image/close.png" alt="" class="close" /></div>');
				
				$('.success').fadeIn('slow');
				
				$('#compare-total').html(json['total']);
				
				$('html, body').animate({ scrollTop: 0 }, 'slow'); 
			}	
		}
	});
}