<?php echo $header; ?>
<div id="content">
  <ul class="breadcrumb">
    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
	    <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
    <?php } ?>
  </ul>
  <div class="clear"></div>
  <?php echo $content_top; ?>
  <div class="clear"></div>
  <?php echo $column_left; ?>
  <?php echo $column_right; ?>
  <div id="innerpage">
  <h1><?php echo $heading_title; ?></h1>
  <?php if ($success) { ?>
  <div class="success"><?php echo $success; ?></div>
  <?php } ?>
  <div class="accountBox">
      <h2><?php echo $text_my_account; ?></h2>
      <div class="content">
        <ul>
          <li><a href="<?php echo $edit; ?>"><span></span><?php echo $text_edit; ?></a></li>
          <li><a href="<?php echo $password; ?>"><span></span><?php echo $text_password; ?></a></li>
          <li><a href="<?php echo $address; ?>"><span></span><?php echo $text_address; ?></a></li>
          <li><a href="<?php echo $wishlist; ?>"><span></span><?php echo $text_wishlist; ?></a></li>
        </ul>
      </div>
  </div>
  <div class="accountBox">
      <h2><?php echo $text_my_newsletter; ?></h2>
      <div class="content">
        <ul>
          <li><a href="<?php echo $newsletter; ?>"><span></span><?php echo $text_newsletter; ?></a></li>
        </ul>
      </div>
  </div>
  <div class="clear"></div>
  <div class="accountBox">
      <h2><?php echo $text_my_orders; ?></h2>
      <div class="content">
        <ul>
          <li><a href="<?php echo $order; ?>"><span></span><?php echo $text_order; ?></a></li>
          <li><a href="<?php echo $download; ?>"><span></span><?php echo $text_download; ?></a></li>
          <li><a href="<?php echo $reward; ?>"><span></span><?php echo $text_reward; ?></a></li>
          <li><a href="<?php echo $return; ?>"><span></span><?php echo $text_return; ?></a></li>
          <li><a href="<?php echo $transaction; ?>"><span></span><?php echo $text_transaction; ?></a></li>
        </ul>
      </div>
  </div>
  <div class="clear"></div>
  </div>
  <div class="clear"></div>
</div>

<?php echo $footer; ?> 