<?php echo $header; ?>
<div id="content">
  <ul class="breadcrumb">
    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
	    <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
    <?php } ?>
  </ul>
  <div class="clear"></div>
  
<?php echo $column_left; ?>
<?php echo $column_right; ?>

<div class="searchContainer">
  <h1><?php echo $heading_title; ?></h1>
<div class="searchCriteria">
  <b><?php echo $text_critea; ?></b>
  <div class="content">
    <p><?php echo $entry_search; ?>
      <?php if ($filter_name) { ?>
      <input type="text" name="filter_name" value="<?php echo $filter_name; ?>" />
      <?php } else { ?>
      <input type="text" name="filter_name" value="<?php echo $filter_name; ?>" onclick="this.value = '';" onkeydown="this.style.color = '000000'" style="color: #999;" />
      <?php } ?>
      <select name="filter_category_id">
        <option value="0"><?php echo $text_category; ?></option>
        <?php foreach ($categories as $category_1) { ?>
        <?php if ($category_1['category_id'] == $filter_category_id) { ?>
        <option value="<?php echo $category_1['category_id']; ?>" selected="selected"><?php echo $category_1['name']; ?></option>
        <?php } else { ?>
        <option value="<?php echo $category_1['category_id']; ?>"><?php echo $category_1['name']; ?></option>
        <?php } ?>
        <?php foreach ($category_1['children'] as $category_2) { ?>
        <?php if ($category_2['category_id'] == $filter_category_id) { ?>
        <option value="<?php echo $category_2['category_id']; ?>" selected="selected">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php echo $category_2['name']; ?></option>
        <?php } else { ?>
        <option value="<?php echo $category_2['category_id']; ?>">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php echo $category_2['name']; ?></option>
        <?php } ?>
        <?php foreach ($category_2['children'] as $category_3) { ?>
        <?php if ($category_3['category_id'] == $filter_category_id) { ?>
        <option value="<?php echo $category_3['category_id']; ?>" selected="selected">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php echo $category_3['name']; ?></option>
        <?php } else { ?>
        <option value="<?php echo $category_3['category_id']; ?>">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php echo $category_3['name']; ?></option>
        <?php } ?>
        <?php } ?>
        <?php } ?>
        <?php } ?>
      </select>
      <?php if ($filter_sub_category) { ?>
      <input type="checkbox" name="filter_sub_category" value="1" id="sub_category" checked="checked" />
      <?php } else { ?>
      <input type="checkbox" name="filter_sub_category" value="1" id="sub_category" />
      <?php } ?>
      <label for="sub_category"><?php echo $text_sub_category; ?></label>
    </p>
    <?php if ($filter_description) { ?>
    <input type="checkbox" name="filter_description" value="1" id="description" checked="checked" />
    <?php } else { ?>
    <input type="checkbox" name="filter_description" value="1" id="description" />
    <?php } ?>
    <label for="description"><?php echo $entry_description; ?></label>
 </div>
  	<div class="buttons">
   		 <div class="right"><a id="button-search" class="button"><span><?php echo $button_search; ?></span></a></div>
	</div>
  </div>
  <h2 class="searchHeading"><?php echo $text_search; ?></h2>
  <?php if ($products) { ?>
 	<?php include("includes/filter.tpl"); //Product Filters ?>
 
  <div id="cat-products" class="prod-grid">
  <ul>
    <?php $i=0; $pCount = count($products); foreach ($products as $product) : $i++; ?>
    <li>
      <?php if ($product['thumb']): //Get product thumnails ?>
            <div class="image">
                <a href="<?php echo $product['href']; ?>"><img src="<?php echo $product['thumb']; ?>" title="<?php echo $product['name']; ?>" alt="<?php echo $product['name']; ?>" /></a>
                <?php if($product['special']){ echo "<span class='promo'>Promo</span>"; }?>
            </div>
      <?php endif; ?>
       <div class="prodInfo">
       	  <div class="prodCatDesc">
                  <div class="name">
                         <h2>
                    <a href="<?php echo $product['href']; ?>">
                        <?php 
                            if(strlen($product['name']) > 23){ 
                                echo substr($product['name'],0,23).'...';
                            }else{
                                echo $product['name'];	
                            }
                        ?>
                    </a>
                </h2>
                  </div>
                  
                      <?php if ($product['rating']) { ?>
                         <div class="rating"><img src="catalog/view/theme/herbal/image/stars-<?php echo $product['rating']; ?>.png" alt="<?php echo $product['reviews']; ?>" /></div>
                      <?php } ?>
                      
                      <div class="description">
                            <?php echo $product['description']; //Get Product Description ?>
                      </div>
                      
              </div>
              <div class="list-right">
				  <?php if ($product['price']) : //Get product price ?>
                      <div class="price">
                        <?php if (!$product['special']): ?>
                           <p><?php echo $product['price']; ?></p>
                        <?php else: ?>
                            <p><span class="price-old"><?php echo $product['price']; ?></span> <span class="price-new"><?php echo $product['special']; ?></span></p>
                        <?php endif; ?>
                      </div>
                  <?php endif; ?>
                  <div class="addTo">
                     	<div class="cart"><input type="button" value="<?php echo $button_cart; ?>" onclick="addToCart('<?php echo $product['product_id']; ?>');" class="button" /></div>
                  </div>
              		<div class="clear"></div>
                 <div class="addCom">
                     <div class="wishlist"><a onclick="addToWishList('<?php echo $product['product_id']; ?>');"><span></span><?php echo $button_wishlist; ?></a></div>
                     <div class="compare"><a onclick="addToCompare('<?php echo $product['product_id']; ?>');" data-reveal-id="notification"><span></span><?php echo $button_compare; ?></a></div>
                     <div class="clear"></div>
                 </div>
    		 </div>
      </div>
      <div class="clear"></div>
    </li>
    	<?php 
				if($i%3==0 && $pCount>3){
					echo '</ul><ul>';
				}
		?>
  
    <?php endforeach; ?>
    </ul>
    <div class="clear"></div>
  </div>
  <div class="pagination"><?php echo $pagination; ?></div>
  <?php } ?>
</div>
<div class="clear"></div>
</div>
<script type="text/javascript"><!--
$('#content input[name=\'filter_name\']').keydown(function(e) {
	if (e.keyCode == 13) {
		$('#button-search').trigger('click');
	}
});

$('#button-search').bind('click', function() {
	url = 'index.php?route=product/search';
	
	var filter_name = $('#content input[name=\'filter_name\']').attr('value');
	
	if (filter_name) {
		url += '&filter_name=' + encodeURIComponent(filter_name);
	}

	var filter_category_id = $('#content select[name=\'filter_category_id\']').attr('value');
	
	if (filter_category_id > 0) {
		url += '&filter_category_id=' + encodeURIComponent(filter_category_id);
	}
	
	var filter_sub_category = $('#content input[name=\'filter_sub_category\']:checked').attr('value');
	
	if (filter_sub_category) {
		url += '&filter_sub_category=true';
	}
		
	var filter_description = $('#content input[name=\'filter_description\']:checked').attr('value');
	
	if (filter_description) {
		url += '&filter_description=true';
	}

	location = url;
});
</script>

<?php echo $footer; ?>