<?php echo $header; ?>
<?php echo $content_top; ?>
<div id="content">
  <ul class="breadcrumb">
    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
	    <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
    <?php } ?>
  </ul>
  <div class="clear"></div>
  <?php if ($success) { ?>
  <div class="success"><?php echo $success; ?></div>
  <?php } ?>
  <?php if ($error_warning) { ?>
  <div class="warning"><?php echo $error_warning; ?></div>
  <?php } ?>
  <div class="login-content">
    <h1><?php echo $heading_title; ?></h1>
  <?php echo $text_description; ?>
    <div class="left">
      <h2><?php echo $text_new_affiliate; ?></h2>
      <div class="content"><?php echo $text_register_account; ?> <a href="<?php echo $register; ?>" class="button"><span><?php echo $button_continue; ?></span></a></div>
    </div>
    <div class="right">
      <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="login">
        <h2><?php echo $text_returning_affiliate; ?></h2>
        <div class="content">
          <p><?php echo $text_i_am_returning_affiliate; ?></p>
          <b><?php echo $entry_email; ?></b>
          <input type="text" name="email" value="" />
          <b><?php echo $entry_password; ?></b>
          <input type="password" name="password" value="" />
          <a onclick="$('#login').submit();" class="button"><span><?php echo $button_login; ?></span></a>
          <a href="<?php echo $forgotten; ?>" class="forgot"><?php echo $text_forgotten; ?></a>
          <?php if ($redirect) { ?>
          <input type="hidden" name="redirect" value="<?php echo $redirect; ?>" />
          <?php } ?>
        </div>
      </form>
</div>
    
  <div class="clear"></div>
  </div>
  
  <div class="clear"></div>
</div>

<?php echo $footer; ?>