<?php if (isset($_SERVER['HTTP_USER_AGENT']) && !strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE 6')) echo '<?xml version="1.0" encoding="UTF-8"?>'. "\n"; ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="<?php echo $direction; ?>" lang="<?php echo $lang; ?>" xml:lang="<?php echo $lang; ?>"><head>
<title><?php echo $title; ?></title>
<base href="<?php echo $base; ?>" />
<?php if ($description) { ?>
<meta name="description" content="<?php echo $description; ?>" />
<?php } ?>
<?php if ($keywords) { ?>
<meta name="keywords" content="<?php echo $keywords; ?>" />
<?php } ?>
<?php if ($icon) { ?>
<link href="<?php echo $icon; ?>" rel="icon" />
<?php } ?>
<?php foreach ($links as $link) { ?>
<link href="<?php echo $link['href']; ?>" rel="<?php echo $link['rel']; ?>" />
<?php } ?>
<?php
$page = '';
	if(isset($this->request->get['route'])){
		$page = $this->request->get['route']; 
	}
?>
<link rel="stylesheet" type="text/css" href="catalog/view/theme/herbal/stylesheet/stylesheet.css" />
<link rel="stylesheet" type="text/css" href="catalog/view/theme/herbal/stylesheet/uniform.css" />
<link rel="stylesheet" type="text/css" href="catalog/view/javascript/jquery/ui/themes/ui-lightness/jquery-ui-1.8.16.custom.css" />
<script type="text/javascript" src="catalog/view/javascript/jquery/jquery-1.7.1.min.js"></script>
<script type="text/javascript" src="catalog/view/javascript/jquery/ui/jquery-ui-1.8.16.custom.min.js"></script>
<script type="text/javascript" src="catalog/view/javascript/jquery/ui/external/jquery.cookie.js"></script>
<script type="text/javascript" src="catalog/view/javascript/jquery/colorbox/jquery.colorbox.js"></script>
<link rel="stylesheet" type="text/css" href="catalog/view/javascript/jquery/colorbox/colorbox.css" media="screen" />
<?php foreach ($scripts as $script) { ?>
<script type="text/javascript" src="<?php echo $script; ?>"></script>
<?php } ?>
<script type="text/javascript" src="catalog/view/theme/herbal/js/cycle.js"></script>
<script type="text/javascript" src="catalog/view/theme/herbal/js/uniform.js"></script>
<script type="text/javascript" src="catalog/view/theme/herbal/js/blockUi.js"></script>
<script type="text/javascript" src="catalog/view/theme/herbal/js/custom.js"></script>
<!--[if IE 9]>
<style type="text/css">
	#top-content .featured_slides{width:130px !important;}
</style>
<![endif]-->
<?php echo $google_analytics; ?>
<style type="text/css">
@-moz-document url-prefix() {
   .cart input[type='button'],input[type="button"] {
        padding-top:5px;
		padding-bottom:5px;
    }
}
@-moz-document url-prefix() {
   #content .checkout input[type="button"] {
        padding-top:3px;
		padding-bottom:3px;
    }
}
</style>
<?php $styles =  $this->config->get('herboptions'); //Herbal Module Options ?>
<?php if(!$styles || $styles['themeSetting'] == 'disable') : ?>
	<link rel="stylesheet" type="text/css" href="catalog/view/theme/herbal/stylesheet/green.css" />
<?php else: ?>
<style type="text/css">
/** Color Options **/
#column-left .box-heading, #column-right .box-heading,.homeTab li a.active,#column-left .box-content, #column-left .box ul, #column-right .box-content, #column-right .box ul,#bottom-content .box ul:nth-of-type(1), .prod-grid ul:nth-of-type(1){box-shadow:none;}
/* Background */
<?php if($styles['bgColor']): ?>
	body{background: #<?php echo $styles['bgColor']; ?>; }
<?php elseif($styles['bgImage']): ?>
	body{background:url('<?php echo HTTP_IMAGE . $styles['bgImage']; ?>'); }
<?php endif; ?>

/* Header Section */
#header,#powered{background:#<?php echo $styles['headerBg'] ?>}
	#categories li.active > a,ul#categories li > ul,ul#categories li:hover a{background:#<?php echo $styles['menuActive']; ?>;}
	ul#categories li > ul li a{color:#<?php echo $styles['subCat']; ?>;}
	#cart,#cart .content .miniArr,#cart .content{background:#<?php echo $styles['miniBg']; ?>;}

/* Overall Styles */
#top-content .pagerWrap li.activeSlide span,#column-left .box .categories li a span,#column-left .box .informations li a span,#column-left .box .affiliate li a span,#column-right .box .informations li a span,#column-right .box .affiliate li a span,#column-right .box .categories li a span,.footer .column ul li a span,.prod-list .list-right .wishlist span,.prod-list .list-right .compare span,div.selector,.catContainer .category-list li span,.success,.accountBox .content a span,.image .promo{background-color:#<?php echo $styles['overall']; ?>}

.price p,.price-new {color:#<?php echo $styles['overall']; ?>}

.blockPage a{color:#<?php echo $styles['overall']; ?>;}

.slideNav a,.carouselBtn,.prevNext a{
	background:#<?php echo $styles['addToCartBottomBg'] ?> url('catalog/view/theme/herbal/image/slideBtn2.png'); /* Old browsers */
	background-image:url('catalog/view/theme/herbal/image/slideBtn2.png'), -moz-linear-gradient(top, #<?php echo $styles['addToCartTopBg'] ?> 0%, #<?php echo $styles['addToCartBottomBg'] ?> 100%); /* FF3.6+ */
	background-image:url('../image/slideBtn2.png'),-webkit-gradient(linear, left top, left bottom, color-stop(0%,#<?php echo $styles['addToCartTopBg'] ?>), color-stop(100%,#<?php echo $styles['addToCartBottomBg'] ?>));
	background-image:url('catalog/view/theme/herbal/image/slideBtn2.png'), -webkit-linear-gradient(top, #<?php echo $styles['addToCartTopBg'] ?> 0%,#<?php echo $styles['addToCartBottomBg'] ?> 100%);/* Chrome & Safari */
	background-image:url('catalog/view/theme/herbal/image/slideBtn2.png'), -o-linear-gradient(top, #<?php echo $styles['addToCartTopBg'] ?> 0%,#<?php echo $styles['addToCartBottomBg'] ?> 100%); /* Opera 11.10+ */
}

.slideNav a#next:hover,.c-next:hover,.prevNext a.next:hover,.slideNav a#prev:hover,.c-prev:hover,.prevNext a.prev:hover{
	background:#<?php echo $styles['addToCartBottomHoverBg'] ?> url('catalog/view/theme/herbal/image/slideBtn2.png'); /* Old browsers & IE */
	background-image:url('catalog/view/theme/herbal/image/slideBtn2.png'), -moz-linear-gradient(top, #<?php echo $styles['addToCartTopHoverBg'] ?> 0%, #<?php echo $styles['addToCartBottomHoverBg'] ?> 100%); /* FF3.6+ */
	background-image:url('../image/slideBtn2.png'),-webkit-gradient(linear, left top, left bottom, color-stop(0%,#<?php echo $styles['addToCartTopHoverBg'] ?>), color-stop(100%,#<?php echo $styles['addToCartBottomHoverBg'] ?>));
	background-image:url('catalog/view/theme/herbal/image/slideBtn2.png'), -webkit-linear-gradient(top, #<?php echo $styles['addToCartTopHoverBg'] ?> 0%,#<?php echo $styles['addToCartBottomHoverBg'] ?> 100%);/* Chrome & Safari */
	background-image:url('catalog/view/theme/herbal/image/slideBtn2.png'), -o-linear-gradient(top, #<?php echo $styles['addToCartTopHoverBg'] ?> 0%,#<?php echo $styles['addToCartBottomHoverBg'] ?> 100%); /* Opera 11.10+ */
}

/* Buttons */



	
	/* Checkout Button */
	.mini-cart-btn a.checkout,.checkout-content input[type="button"],.shopping_cart a.checkout,.shopping_cart .cart-total a{
		border:1px solid <?php echo $styles['checkoutBtnBottomBg']; ?> !important;
		background:#<?php echo $styles['checkoutBtnTopBg'] ?> url('catalog/view/theme/herbal/image/checkout.png'); /* Old browsers & IE */
		background-image:url('catalog/view/theme/herbal/image/checkout.png'), -moz-linear-gradient(top, #<?php echo $styles['checkoutBtnTopBg'] ?> 0%, #<?php echo $styles['checkoutBtnBottomBg'] ?> 100%) !important; /* FF3.6+ */
		background-image:url('../image/checkout.png'),-webkit-gradient(linear, left top, left bottom, color-stop(0%,#<?php echo $styles['checkoutBtnTopBg'] ?>), color-stop(100%,#<?php echo $styles['checkoutBtnBottomBg'] ?>)) !important;
		background-image:url('catalog/view/theme/herbal/image/checkout.png'), -webkit-linear-gradient(top, #<?php echo $styles['checkoutBtnTopBg'] ?> 0%,#<?php echo $styles['checkoutBtnBottomBg'] ?> 100%) !important;/* Chrome & Safari */
		background-image:url('catalog/view/theme/herbal/image/checkout.png'), -o-linear-gradient(top, #<?php echo $styles['checkoutBtnTopBg'] ?> 0%,#<?php echo $styles['checkoutBtnBottomBg'] ?> 100%) !important; /* Opera 11.10+ */
		background-position:top right;
		text-shadow:none;		
	}
	
	.mini-cart-btn a.checkout:hover,.checkout-content input[type="button"]:hover,.shopping_cart .cart-total a:hover{
		border:1px solid <?php echo $styles['checkoutBtnBottomBg']; ?> !important;
		background:#<?php echo $styles['checkoutBtnBottomBg'] ?> url('catalog/view/theme/herbal/image/checkout.png'); /* Old browsers & IE */
		background-image:url('catalog/view/theme/herbal/image/checkout.png'), -moz-linear-gradient(top, #<?php echo $styles['checkoutBtnBottomBg'] ?> 0%, #<?php echo $styles['checkoutBtnTopBg'] ?> 100%) !important; /* FF3.6+ */
		background-image:url('../image/checkout.png'),-webkit-gradient(linear, left top, left bottom, color-stop(0%,#<?php echo $styles['checkoutBtnBottomBg'] ?>), color-stop(100%,#<?php echo $styles['checkoutBtnBottomBg'] ?>)) !important;
		background-image:url('catalog/view/theme/herbal/image/checkout.png'), -webkit-linear-gradient(top, #<?php echo $styles['checkoutBtnBottomBg'] ?> 0%,#<?php echo $styles['checkoutBtnTopBg'] ?> 100%) !important;/* Chrome & Safari */
		background-image:url('catalog/view/theme/herbal/image/checkout.png'), -o-linear-gradient(top, #<?php echo $styles['checkoutBtnBottomBg'] ?> 0%,#<?php echo $styles['checkoutBtnTopBg'] ?> 100%) !important; /* Opera 11.10+ */
		background-position:top right;
		text-shadow:none;
	}
	
	#bottom-content .welcome-module a.more,.mini-cart-btn a,.cart-module a,.cart-module input[type="submit"],.checkout-content a.button,.login-content a.button,.buttons .left a,.buttons .left .contShop,.buttons a,.cart-module a,.login-content a.button,.checkout input[type="button"],.buttons a, .cart-module a, .checkout-content a.button, .login-content a.button, input.button, .checkout-content input[type="button"]{
		border:1px solid <?php echo $styles['addToCartBottomHoverBg']; ?>
		background:#<?php echo $styles['addToCartBottomBg'] ?> url('catalog/view/theme/herbal/image/read.png'); /* Old browsers & IE */
		background-image:url('catalog/view/theme/herbal/image/read.png'), -moz-linear-gradient(top, #<?php echo $styles['addToCartTopBg'] ?> 0%, #<?php echo $styles['addToCartBottomBg'] ?> 100%); /* FF3.6+ */
		background-image:url('../image/read.png'),-webkit-gradient(linear, left top, left bottom, color-stop(0%,#<?php echo $styles['addToCartTopBg'] ?>), color-stop(100%,#<?php echo $styles['addToCartBottomBg'] ?>));
		background-image:url('catalog/view/theme/herbal/image/read.png'), -webkit-linear-gradient(top, #<?php echo $styles['addToCartTopBg'] ?> 0%,#<?php echo $styles['addToCartBottomBg'] ?> 100%);/* Chrome & Safari */
		background-image:url('catalog/view/theme/herbal/image/read.png'), -o-linear-gradient(top, #<?php echo $styles['addToCartTopBg'] ?> 0%,#<?php echo $styles['addToCartBottomBg'] ?> 100%); /* Opera 11.10+ */
		background-position:top right;
		text-shadow:none;
	}
	
	#bottom-content .welcome-module a.more:hover,.mini-cart-btn a:hover,.buttons a:hover, .cart-module a:hover, .checkout-content a.button:hover, .login-content a.button:hover, input.button:hover, .checkout-content input[type="button"]:hover{
		background:#<?php echo $styles['addToCartBottomBg'] ?> url('catalog/view/theme/herbal/image/read.png'); /* Old browsers & IE */
		background-image:url('catalog/view/theme/herbal/image/read.png'), -moz-linear-gradient(top, #<?php echo $styles['addToCartTopHoverBg'] ?> 0%, #<?php echo $styles['addToCartBottomHoverBg'] ?> 100%); /* FF3.6+ */
		background-image:url('../image/read.png'),-webkit-gradient(linear, left top, left bottom, color-stop(0%,#<?php echo $styles['addToCartTopHoverBg'] ?>), color-stop(100%,#<?php echo $styles['addToCartBottomHoverBg'] ?>));
		background-image:url('catalog/view/theme/herbal/image/read.png'), -webkit-linear-gradient(top, #<?php echo $styles['addToCartTopHoverBg'] ?> 0%,#<?php echo $styles['addToCartBottomHoverBg'] ?> 100%);/* Chrome & Safari */
		background-image:url('catalog/view/theme/herbal/image/read.png'), -o-linear-gradient(top, #<?php echo $styles['addToCartTopHoverBg'] ?> 0%,#<?php echo $styles['addToCartBottomHoverBg'] ?> 100%); /* Opera 11.10+ */
		background-position:top right;text-shadow:none;
	}


/* Add to cart buttons */
.cart input{
	border:1px solid #<?php echo $styles['addToCartBottomBg'] ?>;
	background:#398235 url('catalog/view/theme/herbal/image/cartBtn.png'); /* Old browsers */
	background-image:url('catalog/view/theme/herbal/image/cartBtn.png'), -moz-linear-gradient(top, #<?php echo $styles['addToCartTopBg'] ?> 0%, #<?php echo $styles['addToCartBottomBg'] ?> 100%); /* FF3.6+ */
	background-image:url('../image/cartBtn.png'),-webkit-gradient(linear, left top, left bottom, color-stop(0%,#<?php echo $styles['addToCartTopBg'] ?>), color-stop(100%,#<?php echo $styles['addToCartBottomBg'] ?>)); /* Chrome,Safari4+ */
	background-image:url('catalog/view/theme/herbal/image/cartBtn.png'), -webkit-linear-gradient(top, #<?php echo $styles['addToCartTopBg'] ?> 0%,#<?php echo $styles['addToCartBottomBg'] ?> 100%); /* Chrome10+,Safari5.1+ */
	background-image:url('catalog/view/theme/herbal/image/cartBtn.png'), -o-linear-gradient(top, #<?php echo $styles['addToCartTopBg'] ?> 0%,#<?php echo $styles['addToCartBottomBg'] ?> 100%); /* Opera 11.10+ */
	background-image:url('catalog/view/theme/herbal/image/cartBtn.png'), -ms-linear-gradient(top, #<?php echo $styles['addToCartTopBg'] ?> 0%,#<?php echo $styles['addToCartBottomBg'] ?> 100%); /* IE10+ */
}
	
	/* Hover */
	.cart input[type='button']:hover{
		border:1px solid #<?php echo $styles['addToCartBottomHoverBg'] ?>;
		background:#398235 url('catalog/view/theme/herbal/image/cartBtn.png'); /* Old browsers */
		background-image:url('catalog/view/theme/herbal/image/cartBtn.png'), -moz-linear-gradient(top, #<?php echo $styles['addToCartTopHoverBg'] ?> 0%, #<?php echo $styles['addToCartBottomHoverBg'] ?> 100%); /* FF3.6+ */
		background-image:url('../image/cartBtn.png'),-webkit-gradient(linear, left top, left bottom, color-stop(0%,#<?php echo $styles['addToCartTopHoverBg'] ?>), color-stop(100%,#<?php echo $styles['addToCartBottomHoverBg'] ?>)); /* Chrome,Safari4+ */
		background-image:url('catalog/view/theme/herbal/image/cartBtn.png'), -webkit-linear-gradient(top, #<?php echo $styles['addToCartTopHoverBg'] ?> 0%,#<?php echo $styles['addToCartBottomHoverBg'] ?> 100%); /* Chrome10+,Safari5.1+ */
		background-image:url('catalog/view/theme/herbal/image/cartBtn.png'), -o-linear-gradient(top, #<?php echo $styles['addToCartTopHoverBg'] ?> 0%,#<?php echo $styles['addToCartBottomHoverBg'] ?> 100%); /* Opera 11.10+ */
		background-image:url('catalog/view/theme/herbal/image/cartBtn.png'), -ms-linear-gradient(top, #<?php echo $styles['addToCartTopHoverBg'] ?> 0%,#<?php echo $styles['addToCartBottomHoverBg'] ?> 100%); /* IE10+ */
	}
</style>
<?php endif; //END IF THEME SETTING ?>

<script type="text/javascript">
	var slideSpeed = <?php if($styles['slideSpeed']){echo $styles['slideSpeed']; } else { echo 3000; } ?>;
	var slideAnim = <?php if($styles['slideAnim']){ echo '"' . $styles['slideAnim'] . '"' ; } else { echo '"scrollHorz"'; } ?>; 
</script>

</head>
<body <?php 			
	if($page == "common/home" || $page == ''){
		echo 'class="home"';
	}elseif($page == "product/category"){
		$titleName = explode(' ',$title);
		$page = $titleName[0];	
		echo 'class="' . strtolower($page) . " category" . '"';		
	}elseif($page == "product/product"){
		$titleName = explode(' ',$title);
		$page = $titleName[0];	
		echo 'class="' . strtolower($page) . " product_page" . '"';		
	}elseif($page == 'checkout/cart'){
		echo 'class="shopping_cart"';
	}elseif($page == 'product/search'){
		echo 'class="' . "search" . '"';
	}elseif($page == 'product/special'){
		echo 'class="' . "special_offers" . '"';
	}elseif($page == 'information/information'){
		echo 'class="' . "information" . '"';
	}elseif($page !== "common/home"){
		$titleName = explode(' ',$title);
		$page = $titleName[0];	
			if(isset($titleName[1])){
				$page = $titleName[0] . "_" . $titleName[1];
			}
		echo 'class="' . strtolower($page) . '"';				
	}
?>>