<?php echo $header; ?>
<div id="content">
  <ul class="breadcrumb">
    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
	    <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
    <?php } ?>
  </ul>
  <div class="clear"></div>
  
<?php echo $column_left; ?>
<?php echo $column_right; ?>

  <div class="product-info">
    <ul id="tab" class="tabs">
        	<li><a href="javascript:void(0);" class="active" rel="details">Details</a></li>
            <?php if ($products) { ?>
            	<li><a href="javascript:void(0);" rel="related"><?php echo $tab_related; ?> (<?php echo count($products); ?>)</a></li>
        	<?php } ?>
			<?php if ($attribute_groups) { ?>
                <li><a href="javascript:void(0);" rel="attributes"><?php echo $tab_attribute; ?></a></li>
            <?php } ?>
            <?php if ($review_status) { ?>
                <li><a href="javascript:void(0);" rel="reviews"><?php echo $tab_review; ?></a></li>
            <?php } ?>
    </ul>
    <div class="clear"></div>
    <div class="left <?php if(!$images){ echo "noThumb"; } ?>">
    <?php if ($thumb || $images) : //Product Image ?>
         <div class="mainImg">
            <?php if ($thumb) : ?>
                    <a href="<?php echo $popup; ?>" title="<?php echo $heading_title; ?>" class="colorbox" rel="colorbox"><img src=" <?php echo $thumb; ?>" title="<?php echo $heading_title; ?>" alt="<?php echo $heading_title; ?>" id="image" /></a>
            <?php endif; ?>
         </div>
   	<?php endif; ?>
    <div class="clear"></div>
    <?php if ($images) : //Product Thumbnails ?>
    <div class="thumbs">
            <div class="thumbWrap">
                    <?php foreach ($images as $image) : ?>
                        <div><a href="<?php echo $image['popup']; ?>" title="<?php echo $heading_title; ?>" class="colorbox" rel="colorbox"><img src="<?php echo $image['thumb']; ?>" title="<?php echo $heading_title; ?>" alt="<?php echo $heading_title; ?>" /></a></div>
                    <?php endforeach; ?>   
            </div>
            <?php if(count($images)>2) : ?>
                <ul class="prevNext">
                    <li><a href="javascript:void(0);" class="prev">prev</a></li>
                    <li><a href="javascript:void(0);" class="next">next</a></li>
                </ul>
            <?php endif; ?>
    </div>
    <?php endif; ?>
     </div>
     
<div class="right">       
	<div class="innerRight">
        <div class="tab details">
        <div class="infoRight">
        	<ul class="infoList">
            	<li><span><?php echo $text_stock; ?></span> <strong><?php echo $stock; ?></strong></li>
				<?php if ($manufacturer) { ?>
                    <li><span><?php echo $text_manufacturer; ?></span> <a href="<?php echo $manufacturers; ?>"><?php echo $manufacturer; ?></a></li>
                <?php } ?>
                	<li><span><?php echo $text_model; ?></span> <strong><?php echo $model; ?></strong></li>
               	 	<li><span><?php echo $text_reward; ?></span> <strong><?php echo $reward; ?></strong></li>
            </ul>
            <!-- Wishlist/Compare -->
            <ul class="addwc">
                <li class="wishlist"><span>+</span> <a onclick="addToWishList('<?php echo $product_id; ?>');"><?php echo $button_wishlist; ?></a></li>
                <li class="compare"><span>+</span> <a onclick="addToCompare('<?php echo $product_id; ?>');" data-reveal-id="notification"><?php echo $button_compare; ?></a></li>
                <!-- AddThis Button BEGIN -->
                <li class="socialLinks tweet"><a class="addthis_button_tweet"></a></li>
                <li class="socialLinks"><a class="addthis_button_google_plusone" g:plusone:size="medium"></a></li>
                <li class="socialLinks"><a class="addthis_button_facebook_like" fb:like:layout="button_count"></a></li>
                <script type="text/javascript" src="http://s7.addthis.com/js/250/addthis_widget.js#pubid=xa-4ead658750c660a2"></script>
            </ul>
        </div>
        <div class="prodDesc">
            <h1><?php echo $heading_title; //Product Title ?></h1>
            <?php if ($review_status) : //Reviews & Ratings ?>
             	<div class="stars">
                 	<img src="catalog/view/theme/herbal/image/stars-<?php echo $rating; ?>.png" alt="<?php echo $reviews; ?>" />            
                 	<a onclick="$('a[href=\'#tab\']').trigger('click');" class="reviews" rel="reviews"><?php echo $reviews; ?></a>
                </div>
             <?php endif; ?>
             <div class="description"><?php echo $description; //Product Description ?></div>
             	<div class="pPrice">
					  <?php if ($price) : //Product Price ?>
                            <?php if (!$special) : ?>
                                   <p> <span class="normal"><?php echo $text_price; ?></span> 
                                   <span class="price price-new"><?php echo $price; ?></span></p>
                            <?php else: ?>
                                   <p><?php echo $text_price; ?> <span class="price-old"><?php echo $price; ?></span> 
                                    <span class="price-new"><?php echo $special; ?></span></p>
                            <?php endif; ?>
                      <?php endif; ?>   
                 </div>   
            
					<?php if ($discounts) : //Product Discounts ?>
                    <div class="prod-discount">
                            <p><strong><?php echo $this->language->get('prod_discount'); //english.php file ?></strong></p>
                            <ul>
                                  <?php foreach ($discounts as $discount) : ?>
                                    <li><span><?php echo sprintf($text_discount, $discount['quantity'], $discount['price']); ?></span></li>
                                  <?php endforeach; ?>
                            </ul>
                   </div>
                   <?php endif; ?>
                   
                 
              <div class="clear"></div>
           </div>
      
	  <?php if ($options) : ?>
          <div class="options">
          	<div class="opFields">
				<?php include("includes/options.tpl"); //Product Options ?>
            </div>
            <div class="addCartBox">
            	<?php if ($minimum > 1) : ?>
                    <div class="minimum"><p><?php echo $text_minimum; ?></p></div>
                <?php endif; ?>
                <div class="qty">                  
                          <strong><?php echo $text_qty; ?></strong>
                          	<input id="qty" type="text" name="quantity" size="2" value="<?php echo $minimum; ?>" />     
                            <a class="qtyBtn increase" href="javascript:void(0);">+</a>  
                            <a class="qtyBtn decrease" href="javascript:void(0);">-</a> 
                          	<input type="hidden" name="product_id" size="2" value="<?php echo $product_id; ?>" />
                        <div class="clear"></div>
                </div>
                <div class="addTo">
                     <div class="cart">
                   	<input type="button" value="<?php echo $button_cart; ?>" id="button-cart" class="button" />
                     </div>
                </div>
             </div>
             <div class="clear"></div>
          </div>
      <?php else: ?>
            <div class="addCartBox innerAddBox">
            <?php if ($minimum > 1) : ?>
                <div class="minimum"><p><?php echo $text_minimum; ?></p></div>
            <?php endif; ?>
            <div class="qty">                  
                      <strong><?php echo $text_qty; ?></strong>
                        <input id="qty" type="text" name="quantity" size="2" value="<?php echo $minimum; ?>" />     
                        <a class="qtyBtn increase" href="javascript:void(0);">+</a>  
                        <a class="qtyBtn decrease" href="javascript:void(0);">-</a> 
                        <input type="hidden" name="product_id" size="2" value="<?php echo $product_id; ?>" />
                    <div class="clear"></div>
            </div>
            <div class="addTo">
                 <div class="cart">
                   	<input type="button" value="<?php echo $button_cart; ?>" id="button-cart" class="button" />
                 </div>
            </div>
            </div>
      <?php endif; ?>
    </div>
    </div><!-- End Product Inner -->
    <div class="clear"></div>
    	<?php if ($products) { ?>
              <div class="tab related">
              	<p class="tabTitle"><?php echo $tab_related; ?></p>
                <?php include("includes/related.tpl"); ?>
                <div class="clear"></div>
              </div>
  	 	<?php } ?>
		<?php if ($attribute_groups) { ?>
              <div class="tab attributes">
              	<p class="tabTitle"><?php echo $tab_attribute; ?></p>
                <?php include("includes/attributes.tpl"); ?>
              </div>
        <?php } ?>
		<?php if ($review_status) { ?>
              <div class="tab reviews">
              	<p class="tabTitle"><?php echo $tab_review; ?></p>
                <?php include("review_form.tpl"); ?>
                <div class="clear"></div>
              </div>
        <?php } ?>
        
	</div><!-- End Product Info -->
    <div class="clear"></div>
    </div>
    <div class="clear"></div>
</div>

<script type="text/javascript"><!--
$('.colorbox').colorbox({
	overlayClose: true,
	opacity: 0.5
});
//--></script> 
<script type="text/javascript"><!--
$('#button-cart').bind('click', function() {
	$.ajax({
		url: 'index.php?route=checkout/cart/add',
		type: 'post',
		data: $('.product-info input[type=\'text\'], .product-info input[type=\'hidden\'], .product-info input[type=\'radio\']:checked, .product-info input[type=\'checkbox\']:checked, .product-info select, .product-info textarea'),
		dataType: 'json',
		success: function(json) {
			$('.success, .warning, .attention, information, .error').remove();
			
			if (json['error']) {
				if (json['error']['option']) {
					for (i in json['error']['option']) {
						$('#option-' + i).after('<span class="error">' + json['error']['option'][i] + '</span>');
					}
				}
			} 
			
			if (json['success']) {
				$('#notification').html('<div class="success" style="display: none;">' + json['success'] + '<img src="catalog/view/theme/default/image/close.png" alt="" class="close" /></div>');
					
				$('#cart-total').html(json['total']);
				
				var notify = $('#notification').html();
				$.blockUI({ message: $(notify) });
				$('.blockOverlay').click(function(){
					$.unblockUI();
				});
			}	
		}
	});
});
//--></script>
<?php if ($options) { ?>
<script type="text/javascript" src="catalog/view/javascript/jquery/ajaxupload.js"></script>
<?php foreach ($options as $option) { ?>
<?php if ($option['type'] == 'file') { ?>
<script type="text/javascript"><!--
new AjaxUpload('#button-option-<?php echo $option['product_option_id']; ?>', {
	action: 'index.php?route=product/product/upload',
	name: 'file',
	autoSubmit: true,
	responseType: 'json',
	onSubmit: function(file, extension) {
		$('#button-option-<?php echo $option['product_option_id']; ?>').after('<img src="catalog/view/theme/default/image/loading.gif" class="loading" style="padding-left: 5px;" />');
	},
	onComplete: function(file, json) {
		$('.error').remove();
		
		if (json.success) {
			alert(json.success);
			
			$('input[name=\'option[<?php echo $option['product_option_id']; ?>]\']').attr('value', json.file);
		}
		
		if (json.error) {
			$('#option-<?php echo $option['product_option_id']; ?>').after('<span class="error">' + json.error + '</span>');
		}
		
		$('.loading').remove();	
	}
});
//--></script>
<?php } ?>
<?php } ?>
<?php } ?>
<script type="text/javascript"><!--
$('#review .pagination a').live('click', function() {
	$('#review').slideUp('slow');
		
	$('#review').load(this.href);
	
	$('#review').slideDown('slow');
	
	return false;
});			

$('#review').load('index.php?route=product/product/review&product_id=<?php echo $product_id; ?>');

$('#button-review').bind('click', function() {
	$.ajax({
		url: 'index.php?route=product/product/write&product_id=<?php echo $product_id; ?>',
		type: 'post',
		dataType: 'json',
		data: 'name=' + encodeURIComponent($('input[name=\'name\']').val()) + '&text=' + encodeURIComponent($('textarea[name=\'text\']').val()) + '&rating=' + encodeURIComponent($('input[name=\'rating\']:checked').val() ? $('input[name=\'rating\']:checked').val() : '') + '&captcha=' + encodeURIComponent($('input[name=\'captcha\']').val()),
		beforeSend: function() {
			$('.success, .warning').remove();
			$('#button-review').attr('disabled', true);
			$('#review-title').after('<div class="attention"><img src="catalog/view/theme/default/image/loading.gif" alt="" /> <?php echo $text_wait; ?></div>');
		},
		complete: function() {
			$('#button-review').attr('disabled', false);
			$('.attention').remove();
		},
		success: function(data) {
			if (data.error) {
				$('#review-title').after('<div class="warning">' + data.error + '</div>');
			}
			
			if (data.success) {
				$('#review-title').after('<div class="success">' + data.success + '</div>');
								
				$('input[name=\'name\']').val('');
				$('textarea[name=\'text\']').val('');
				$('input[name=\'rating\']:checked').attr('checked', '');
				$('input[name=\'captcha\']').val('');
			}
		}
	});
});
//--></script> 
<script type="text/javascript" src="catalog/view/javascript/jquery/ui/jquery-ui-timepicker-addon.js"></script> 
<script type="text/javascript"><!--
if ($.browser.msie && $.browser.version == 6) {
	$('.date, .datetime, .time').bgIframe();
}

$('.date').datepicker({dateFormat: 'yy-mm-dd'});
$('.datetime').datetimepicker({
	dateFormat: 'yy-mm-dd',
	timeFormat: 'h:m'
});
$('.time').timepicker({timeFormat: 'h:m'});
//--></script> 
<?php echo $footer; ?>